package com.amphinicy.mhp.util;

public class Utils
{

  public static String stringToHex( String data )
  {
    StringBuffer buffer = new StringBuffer();
    for( int i = 0; i < data.length(); i++ )
    {
      buffer.append( "[" + Integer.toHexString( data.charAt( i ) ) + "]" );
    }
    return buffer.toString();
  }

  public static String byteToHex( byte[] buf)
  {
    return byteToHex(buf, buf.length);
  }

  public static String byteToHex( byte[] buf, int size )
  {
    StringBuffer hexmsg = new StringBuffer( "" );
    //System.out.println("to hex +");
    if( buf == null )
    {
      System.out.println( "to hex: buf is null!" );
      return "";
    }
    for( int i = 0; i < buf.length && i < size; i++ )
    {
      //hexmsg=hexmsg+" "+Integer.toHexString(buf[i]);
      //System.out.println("to hex: i="+i);
      hexmsg.append( " " );
      hexmsg.append( Integer.toHexString( buf[i] ) );
    }
    //System.out.println("to hex -");
    return hexmsg.toString();
  }

  public static byte[] getIP( String host )
  {
    byte[] ret = new byte[4];
    int from = 0;
    int ip = 0;
    try
    {
      for( int i = 0; i < 4; i++ )
      {
        String handle;
        int dot = host.indexOf( '.', from );
        if( dot == -1 )
        {
          if( i != 3 )
          {
            return null;
          }
          else
          {
            handle = host.substring( from );
          }
        }
        else if( i == 3 )
        {
          return null;
        }
        else
        {
          handle = host.substring( from, dot );
        }
        ret[i] = ( byte ) ( 0xff & Integer.valueOf( handle ).intValue() );
        from = dot + 1;
      }
    }
    catch( Exception ex )
    {
      return null;
    }
    return ret;
  }

}
